Bug 210523 - multimedia/qmmp: Updated version 0.10.0
Summary: multimedia/qmmp: Updated version 0.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-24 11:18 UTC by SimaMoto,RyōTa
Modified: 2016-06-26 20:35 UTC (History)
1 user (show)

See Also:


Attachments
Switch version 0.9.10 to 0.10.0 on multimedia/qmmp (7.71 KB, patch)
2016-06-24 11:18 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff
Switch version from 0.9.10 to 0.10.0 on multimedia/qmmp using OPTIONS_EXCLUDE (6.68 KB, patch)
2016-06-25 07:36 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff
Replace libsamplerate with libsoxr on depinfo of JACK option; Revert pkg-descr (1.32 KB, patch)
2016-06-26 06:45 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SimaMoto,RyōTa 2016-06-24 11:18:53 UTC
Created attachment 171746 [details]
Switch version 0.9.10 to 0.10.0 on multimedia/qmmp

qmmp version 0.10.0 has been released along with API change, a lot of
new features and improvements.  For more detailed information, see the
ChangeLog file or
https://sourceforge.net/p/qmmp-dev/code/HEAD/tree/branches/qmmp-0.10/ChangeLog

Two new options added: TWOPANELDIALOG double-sided file dialog, and
QTMULTIMEDIA sound output.
Options disappeared: SRCONV samplerate converter that is moved to
multimedia/qmmp-plugin-pack.  JACK sound output can not be used until
someone introduces SoX resampler library to FreeBSD and becomes its
maintainer (my request is bug 206279).
Comment 1 Olivier Duchateau freebsd_committer 2016-06-24 20:22:10 UTC
Patch seems good, but it exists a useful macro OPTIONS_EXCLUDE (not documented in Porter Handbook), where we can disable some options.
For example here we can exclude JACK and SOXR (temporarily) without to change JACK option structure.

OPTIONS_EXCLUDE= JACK SOXR
Comment 2 SimaMoto,RyōTa 2016-06-25 07:36:28 UTC
Created attachment 171777 [details]
Switch version from 0.9.10 to 0.10.0 on multimedia/qmmp using OPTIONS_EXCLUDE

(In reply to Olivier Duchateau from comment #1)

Thank you for giving me the best smart way that I was looking for.
Comment 3 commit-hook freebsd_committer 2016-06-25 19:32:03 UTC
A commit references this bug:

Author: olivierd
Date: Sat Jun 25 19:31:25 UTC 2016
New revision: 417480
URL: https://svnweb.freebsd.org/changeset/ports/417480

Log:
  - Update to 0.10.0
  - Remove SRCONV option
  - Add 3 new options: TWOPANEDIALOG, QTMULTIMEDIA and SOXR

  Changes: https://sourceforge.net/p/qmmp-dev/code/HEAD/tree/branches/qmmp-0.10/ChangeLog

  PR:		210523
  Submitted by:	SimaMoto,RyoTa <liangtai.s16@gmail.com> (maintainer)

Changes:
  head/multimedia/qmmp/Makefile
  head/multimedia/qmmp/distinfo
  head/multimedia/qmmp/pkg-descr
  head/multimedia/qmmp/pkg-plist
Comment 4 Olivier Duchateau freebsd_committer 2016-06-25 20:00:55 UTC
Committed, with SOXR support.

I just noticed in multimedia/qmmp-qt5 JACK depends of audio/jack and audio/libsoxr revision r417476 [1], but here it's audio/libsamplerate. Is there difference between this 2 ports?

[1] https://svnweb.freebsd.org/ports?view=revision&revision=417476
Comment 5 SimaMoto,RyōTa 2016-06-26 06:45:53 UTC
Created attachment 171809 [details]
Replace libsamplerate with libsoxr on depinfo of JACK option; Revert pkg-descr

(In reply to Olivier Duchateau from comment #4)

Thank you for committing.

My shame, I made wrong mistake.  libsoxr is necessary for jack plugin,
and libsamplerate is not needed since the build setting change on upstream:
https://sourceforge.net/p/qmmp-dev/code/6215/ .  This port's Makefile
should be fixed.

Beside of this problem, pkg-descr also needs update, that hides JACK plugin
and SoX resampler plugin from its features list temporarily, but audio/libsoxr
is committed in public so earlier than I expected.

Attached patch fixes dependency information of JACK option on Makefile,
and let pkg-descr revert to the state of full functions.
Comment 6 Olivier Duchateau freebsd_committer 2016-06-26 20:35:07 UTC
(In reply to SimaMoto,RyōTa from comment #5)

Committed, with revision r417616 [1].

[1] https://svnweb.freebsd.org/ports?view=revision&revision=417616